Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.curriculumcourse.domain.solver
Class CourseConflict

    java.lang.Object
      org.optaplanner.examples.curriculumcourse.domain.solver.CourseConflict

All Implemented Interfaces:
  Serializable, Comparable<CourseConflict>

    public class CourseConflict

extends Object
implements Serializable, Comparable<CourseConflict>

Calculated during initialization, not modified during score calculation.

See Also:
  Serialized Form

Constructor Summary
`CourseConflict(Course leftCourse, Course rightCourse)`

Method Summary
`int` | `compareTo(CourseConflict other)`
`boolean` | `equals(Object o)`
`Course` | `getLeftCourse()`
`Course` | `getRightCourse()`
`int` | `hashCode()`
`void` | `setLeftCourse(Course leftCourse)`
`void` | `setRightCourse(Course rightCourse)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CourseConflict

    public CourseConflict(Course leftCourse,
                          Course rightCourse)

Method Detail

### getLeftCourse

    public Course getLeftCourse()

### setLeftCourse

    public void setLeftCourse(Course leftCourse)

### getRightCourse

    public Course getRightCourse()

### setRightCourse

    public void setRightCourse(Course rightCourse)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(CourseConflict other)

  Specified by:
    `compareTo` in interface `Comparable<CourseConflict>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.